#
# spec file for package thryomanes-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           thryomanes-fonts
Version:        1.2
Release:        lp150.1.4
Summary:        Greek TrueType Fonts
License:        GPL-2.0+
Group:          System/X11/Fonts
Url:            http://www.io.com/~hmiller/lang/
Source:         Thryomanes12.zip
Source1:        copyright
BuildRequires:  fontpackages-devel
BuildRequires:  unzip
%reconfigure_fonts_prereq
Provides:       scalable-font-bg
Provides:       scalable-font-el
Provides:       scalable-font-ru
Provides:       locale(bg;el;ru)
# FIXME: This causes a rpmlint warning; change <= to < once here's a new upstream version
Obsoletes:      fonts-thryomanes <= %{version}
Provides:       fonts-thryomanes = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
These fonts include a complete set of Cyrillic letters and improved
italic characters.

%prep
unzip $RPM_SOURCE_DIR/Thryomanes12.zip

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.TTF %{buildroot}%{_ttfontsdir}
mkdir -p %{buildroot}/%{_defaultdocdir}/fonts-thryomanes
install -m 644 gpl.txt \
  %{buildroot}/%{_defaultdocdir}/fonts-thryomanes
install -m 644 $RPM_SOURCE_DIR/copyright \
  %{buildroot}/%{_defaultdocdir}/fonts-thryomanes

%reconfigure_fonts_scriptlets

%files
%defattr(-, root,root)
%doc %{_defaultdocdir}/*
%{_ttfontsdir}

%changelog
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Wed May  9 2012 pgajdos@suse.com
- renamed fonts-thryomanes -> thryomanes-fonts
* Sun Sep 18 2011 jengelh@medozas.de
- Apply packaging guidelines (remove redundant/obsolete
  tags/sections from specfile, etc.)
* Thu Apr  8 2010 tiwai@suse.de
- removed unnecessary buildrequires for too old distros
* Thu Mar 29 2007 dmueller@suse.de
- add unzip to BuildRequires
* Tue Aug  8 2006 mfabian@suse.de
- move fonts to /usr/share/fonts because of the move to Xorg X11R7.
* Tue Jun 20 2006 mfabian@suse.de
- update to 1.2.
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(bg;el;ru)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.dec
- use new macro "%%run_suseconfig_fonts".
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-el,
  scalable-font-ru, scalable-font-bg".
* Thu Mar 18 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Mon Feb 23 2004 hmacht@suse.de
- building as non-root
* Wed Jun 18 2003 sndirsch@suse.de
- created package
